# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_IntPackedMap Class Reference

Attribute for storing TColStd_PackedMapOfInteger
.

`#include <TDataStd_IntPackedMap.hxx>`

Inheritance diagram for TDataStd_IntPackedMap:

[legend]

## Public Member Functions

Standard_EXPORT | TDataStd_IntPackedMap ()
Standard_EXPORT Standard_Boolean | ChangeMap (const Handle(TColStd_HPackedMapOfInteger)&theMap)
const TColStd_PackedMapOfInteger & | GetMap () const
const Handle_TColStd_HPackedMapOfInteger & | GetHMap () const
Standard_EXPORT Standard_Boolean | Clear ()
Standard_EXPORT Standard_Boolean | Add (const Standard_Integer theKey)
Standard_EXPORT Standard_Boolean | Remove (const Standard_Integer theKey)
Standard_EXPORT Standard_Boolean | Contains (const Standard_Integer theKey) const
Standard_Integer | Extent () const
Standard_Boolean | IsEmpty () const
Standard_Boolean | GetDelta () const
void | SetDelta (const Standard_Boolean isDelta)
| for internal use only!
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
virtual Standard_EXPORT Handle_TDF_DeltaOnModification | DeltaOnModification (const Handle(TDF_Attribute)&anOldAttribute) const
| Makes a DeltaOnModification between <me> and <anoldattribute>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| class methods ============= //! Returns the GUID of the attribute.
static Standard_EXPORT Handle_TDataStd_IntPackedMap | Set (const TDF_Label &label, const Standard_Boolean isDelta=Standard_False)
| Finds or creates an integer map attribute on the given label. If <isdelta> == False, DefaultDeltaOnModification is used. If <isdelta> == True, DeltaOnModification of the current attribute is used. If attribute is already set, input parameter <isdelta> is refused and the found attribute returned. //! Attribute methods =================== .

## Private Member Functions

void | RemoveMap ()

## Private Attributes

Handle_TColStd_HPackedMapOfInteger | myMap
Standard_Boolean | myIsDelta

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_IntPackedMap::TDataStd_IntPackedMap | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean TDataStd_IntPackedMap::Add | ( | const Standard_Integer | theKey | ) |

Standard_EXPORT Standard_Boolean TDataStd_IntPackedMap::ChangeMap | ( | const Handle(TColStd_HPackedMapOfInteger)& | theMap | ) |

Standard_EXPORT Standard_Boolean TDataStd_IntPackedMap::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean TDataStd_IntPackedMap::Contains | ( | const Standard_Integer | theKey | ) | const

virtual Standard_EXPORT Handle_TDF_DeltaOnModification TDataStd_IntPackedMap::DeltaOnModification | ( | const Handle(TDF_Attribute)& | anOldAttribute | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

virtual Standard_EXPORT Standard_OStream& TDataStd_IntPackedMap::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_Integer TDataStd_IntPackedMap::Extent | ( |  | ) | const`[inline]`

Standard_Boolean TDataStd_IntPackedMap::GetDelta | ( |  | ) | const`[inline]`

const Handle_TColStd_HPackedMapOfInteger& TDataStd_IntPackedMap::GetHMap | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& TDataStd_IntPackedMap::GetID | ( |  | ) | `[static]`

const TColStd_PackedMapOfInteger & TDataStd_IntPackedMap::GetMap | ( |  | ) | const`[inline]`

Standard_EXPORT const TDataStd_IntPackedMap::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_IntPackedMap::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_Boolean TDataStd_IntPackedMap::IsEmpty | ( |  | ) | const`[inline]`

Standard_EXPORT Handle_TDF_Attribute TDataStd_IntPackedMap::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_IntPackedMap::Paste | ( | const Handle(TDF_Attribute)& | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Standard_Boolean TDataStd_IntPackedMap::Remove | ( | const Standard_Integer | theKey | ) |

void TDataStd_IntPackedMap::RemoveMap | ( |  | ) | `[inline, private]`

Standard_EXPORT void TDataStd_IntPackedMap::Restore | ( | const Handle(TDF_Attribute)& | with | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TDataStd_IntPackedMap TDataStd_IntPackedMap::Set | ( | const TDF_Label & | label,
|  | const Standard_Boolean | isDelta = `Standard_False`
| ) | `[static]`

void TDataStd_IntPackedMap::SetDelta | ( | const Standard_Boolean | isDelta | ) | `[inline]`

## Field Documentation

Standard_Boolean TDataStd_IntPackedMap::myIsDelta `[private]`

Handle_TColStd_HPackedMapOfInteger TDataStd_IntPackedMap::myMap `[private]`

The documentation for this class was generated from the following files:

- TDataStd_IntPackedMap.hxx
- TDataStd_IntPackedMap.lxx